/* ==========================================================================
   Archijeunes FSE – Footer
   Styles du footer custom
   ========================================================================== */

footer.wp-block-template-part,
.wp-site-blocks > footer {
  position: fixed;
  left: 0;
  bottom: 20px;
  width: 100%;
  height: 5rem;
  z-index: 200;
}

/* --------------------------------------------------------------------------
   Footer visual (modèle de page decor)
   -------------------------------------------------------------------------- */

.footer-visual-fullscreen {
  max-width: 100vw;
  min-height: 50vh;
  transform: translateY(25px);
  overflow: hidden;
  background-image: url("../../images/svg/footer-visual.svg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  background-color: transparent;
}
/* --------------------------------------------------------------------------
   Footer button__link underline
   -------------------------------------------------------------------------- */
footer .wp-block-button.is-style-ghost .wp-element-button,
.wp-block-button.is-style-ghost .wp-block-button__link {
  text-decoration: underline;
}

/* --------------------------------------------------------------------------
   Footer weglot switcher
   -------------------------------------------------------------------------- */
footer .country-selector a{
  color:var(--wp-preset-color-base);
}

footer .country-selector.weglot-inline a:hover{
  color:var(--wp-preset-color-primary);
}

footer .country-selector.weglot-inline label{
  vertical-align: sub;
}

footer .country-selector.weglot-inline label:after{
  content: " /";
  margin-left: 5px;
}

footer .country-selector.weglot-inline label > span {
  text-decoration: underline;
}


